﻿using Couchbase;
using Couchbase.Configuration;
using Couchbase.Extensions;
using Enyim.Caching.Memcached;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CrudDemo
{
    #region Data Model
    public class Person
    {
        public string Name { get; set; }
        public double Age { get; set; }
        public Address Address { get; set; }
    }

    public class Address
    {
        public string City { get; set; }
        public string Street { get; set; }
        public int Number { get; set; }
    }
    #endregion

    class Program
    {
        static void Main(string[] args)
        {
            var config = new CouchbaseClientConfiguration();
            config.Urls.Add(new Uri("http://localhost:8091/pools/"));
            config.Bucket = "default";

            var client = new CouchbaseClient(config);

            var person = new Person
            {
                Name = "John",
                Age = 30,
                Address = new Address
                {
                    City = "Sydney",
                    Street = "Queen Elizabeth rd.",
                    Number = 4
                }
            };

            var result = client.StoreJson(StoreMode.Set, "_test", person);

            Console.WriteLine("Result: {0}", result);
            Console.ReadLine();
        }
    }
}
